#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-1fCy2aQW8HEL2CEZURtoTU-dns-internal
key:                  dns-4.0.1-1fCy2aQW8HEL2CEZURtoTU-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  325863679665798ab9ef10a649276997
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-1fCy2aQW8HEL2CEZURtoTU-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-2ufaJCQRySkEO7WXEoMHRn
    attoparsec-0.14.4-JmvG4Wvx4EM5mKBIEGEaPX
    auto-update-0.1.6-2DmR06mHZOV5hgdiTbrZ7r base-4.15.1.0
    base16-bytestring-1.0.2.0-GeQDe3vijLVHKiVu6WlGYv
    base64-bytestring-1.2.1.0-GmQybdYprrT5099ebyH5id
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-6WS01g2u04J8So84eVPTvN
    hourglass-0.2.12-Buee3Jo9ubkEaeYvU0d8b3
    iproute-1.7.12-IqBryRCVlwU8y6pj1vIJnR mtl-2.2.2
    network-3.1.2.7-CS681TPv1I76Ct75uHBcbk
    psqueues-0.2.7.3-IqW8Rt1joKF50PlahgPCjy

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-5rsRcOaBtZNFwJWWBYXNUZ
key:                  dns-4.0.1-5rsRcOaBtZNFwJWWBYXNUZ
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  69b922a4e57e0b71861dbb51ef075642
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-5rsRcOaBtZNFwJWWBYXNUZ
depends:
    array-0.5.4.0 async-2.2.4-2ufaJCQRySkEO7WXEoMHRn
    attoparsec-0.14.4-JmvG4Wvx4EM5mKBIEGEaPX
    auto-update-0.1.6-2DmR06mHZOV5hgdiTbrZ7r base-4.15.1.0
    base16-bytestring-1.0.2.0-GeQDe3vijLVHKiVu6WlGYv
    base64-bytestring-1.2.1.0-GmQybdYprrT5099ebyH5id
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-6WS01g2u04J8So84eVPTvN
    dns-4.0.1-1fCy2aQW8HEL2CEZURtoTU-dns-internal
    hourglass-0.2.12-Buee3Jo9ubkEaeYvU0d8b3
    iproute-1.7.12-IqBryRCVlwU8y6pj1vIJnR mtl-2.2.2
    network-3.1.2.7-CS681TPv1I76Ct75uHBcbk
    psqueues-0.2.7.3-IqW8Rt1joKF50PlahgPCjy

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

